package djmil.cordacheckers.cordaclient.dao.flow;

public record ResponseBody(
    String holdingIdentityShortHash,
    String clientRequestId,
    String flowId,
    String flowStatus,
    String flowResult,
    String flowError,
    String timestamp
) { 

    public boolean isFlowStarted() {
        return this.flowStatus.equals("START_REQUESTED");
    }

    public boolean isFlowRunning() {
        return this.flowStatus.equals("RUNNING");
    }

    public boolean isFlowCompleted() {
        return this.flowStatus.equals("COMPLETED");
    }

}
