package djmil.cordacheckers.gameresult;

import java.util.Map;

import net.corda.v5.application.marshalling.JsonMarshallingService;

public class RankingFlowResponce {
    public final Map<String, Rank> successStatus;
    public final String failureStatus;

    public RankingFlowResponce(Map<String, Rank> success) {
        this.successStatus = success;
        this.failureStatus = null;
    }

    public RankingFlowResponce(Exception exception) {
        this.successStatus = null;
        this.failureStatus = exception.toString();
    }

    public String toJsonEncodedString(JsonMarshallingService jsonMarshallingService) {
        return jsonMarshallingService.format(this);
    }

}
